;ineptlr_hc.2.t1.be
;avance-version (19/08/09)
;INEPT for non-selective polarization transfer
;with decoupling during acquisition
;
;$CLASS=HighRes
;$DIM=2D
;$TYPE=
;$SUBTYPE=
;$COMMENT=


#include <Avance.incl>
#include <Delay.incl>
#include <Grad.incl>


"p2=p1*2"
"p4=p3*2"
"p24=p23*2"
"d21=1s/(cnst13*4)"
"d22=1s/(cnst5*4)"
"d23=1s/(cnst13*cnst11)"


"d20=3u"
"d28=3u"
"d20=d21+p2/2+d28"

"in0=inf1/2"

"FACTOR1=d20*10000000*2/td1"
"INCR1=FACTOR1/10000000"

"if ( INCR1 > in0 ) { in20 = in0; } else { in20 = INCR1; }"
"if ( INCR1 > in0 ) { in28 = 0; } else { in28=in0-INCR1; }"


"DELTA1=d23-p16-d16-p1*2/PI"
"DELTA2=d23-p16-d16-de"
"DELTA3=d21-d0-p24-p2/2"


"l0=0"


"acqt0=0"
baseopt_echo


1 ze 
2 30m do:f2
  d1 pl2:f2
  50u UNBLKGRAD

  (p3 ph3):f2 
  d0
 ; (p24 ph1):f4
  DELTA3
  (p2 ph1)
  d28
  (p4 ph1):f2
  d20
  (p3 ph2):f2

  p16:gp1
  d16

  (p1 ph4)
  DELTA1
  p16:gp2
  d16
  (center (p4 ph1):f2 (p2 ph1) )
  p16:gp2
  d16
  DELTA2 pl12:f2 BLKGRAD

  go=2 ph31 cpd2:f2
  30m do:f2 mc #0 to 2
     F1PH(calph(ph3, +90), caldel(d0, +in0) & caldel(d20, -in20) & caldel(d28, +in28))    
exit


ph1=0
ph2=1
ph3=0 2
ph4=0 0 2 2
ph5=1 1 3 3
ph31=0 2 2 0


;pl1 : f1 channel - power level for pulse (default)
;pl2 : f2 channel - power level for pulse (default)
;pl12: f2 channel - power level for CPD/BB decoupling
;p1 : f1 channel -  90 degree high power pulse
;p2 : f1 channel - 180 degree high power pulse
;p3 : f2 channel -  90 degree high power pulse
;p4 : f2 channel - 180 degree high power pulse
;d1 : relaxation delay; 1-5 * T1
;d3 : 1/(6J(XH))  XH, XH2, XH3 positive
;     1/(4J(XH))  XH only
;     1/(3J(XH))  XH, XH3 positive, XH2 negative
;d4 : 1/(4J(XH))
;cnst2: = J(XH)
;cnst11: 6  XH, XH2, XH3 positive
;        4  XH only
;        3  XH, XH3 positive, XH2 negative
;ns: 4 * n, total number of scans: NS * TD0
;ds: 16
;cpd2: decoupling according to sequence defined by cpdprg2
;pcpd2: f2 channel - 90 degree pulse for decoupling sequence


;for z-only gradients:
;gpz1: 20%
;gpz2: 33.2%

;use gradient files:   
;gpnam1: SMSQ10.100
;gpnam2: SMSQ10.100



;$Id: $
